[master] 58c29dd Reunite all friends in a single place

Federico G. Schwindt fgsch at lodoss.net
Sat Jan 7 18:54:04 CET 2017


commit 58c29dd0519476081fa702c5c96ae031a97a152d
Author: Federico G. Schwindt <fgsch at lodoss.net>
Date:   Sat Jan 7 17:52:26 2017 +0000

    Reunite all friends in a single place

diff --git a/devscripts/coverity-run b/devscripts/coverity-run
deleted file mode 100755
index a1d6263..0000000
--- a/devscripts/coverity-run
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/sh
-#
-# Build Varnish under Coverity, and upload the output to Coverity Scan.
-#
-# Requires the Coverity scanner in $PATH and the upload token set in $COVTOKEN.
-#
-# See https://github.com/varnishcache/varnish-cache/wiki/Coverity-scans for overview.
-#
-
-
-if [ -z "$COVTOKEN" ]; then
-	echo "ERROR: No COVTOKEN in environment"
-	exit 1
-fi
-
-if [ -z "`which cov-build`" ]; then
-	echo "ERROR: No Coverity (cov-build) in \$PATH. Download: https://scan.coverity.com/download?tab=cxx"
-	exit 1
-fi
-
-if [ -z "$EMAIL" ]; then
-	EMAIL="varnish-dev at varnish-cache.org"
-fi
-
-
-GITREF=`git rev-parse --short HEAD`
-GITBRANCH=`git rev-parse --abbrev-ref HEAD`
-
-# Do a dirty check.
-DIRT=`git status --porcelain 2>/dev/null | egrep '^(\ M|M)' | grep -v coverity-run`
-if [ -n "$DIRT" ]; then
-	printf "ERROR: Refusing to analyse a dirty tree.\n$DIRT\n"
-	exit 2
-fi
-
-test "`basename $PWD`" = "devscripts" && cd ..
-
-make distclean || true
-test -f configure || ./autogen.sh
-./configure
-
-cov-build --dir cov-int make
-
-# the web ui seems to require the file to be called myproject.tgz. Very cute.
-tar cvfz myproject.tgz cov-int
-
-curl --form token=$COVTOKEN \
-  --form "email=$EMAIL" \
-  --form "file=@myproject.tgz" \
-  --form version="$GITREF" \
-  --form description="description=${GITBRANCH}_branch" \
-  'https://scan.coverity.com/builds?project=varnish'
-
-rm myproject.tgz
diff --git a/tools/coverity-run b/tools/coverity-run
new file mode 100755
index 0000000..a1d6263
--- /dev/null
+++ b/tools/coverity-run
@@ -0,0 +1,54 @@
+#!/bin/sh
+#
+# Build Varnish under Coverity, and upload the output to Coverity Scan.
+#
+# Requires the Coverity scanner in $PATH and the upload token set in $COVTOKEN.
+#
+# See https://github.com/varnishcache/varnish-cache/wiki/Coverity-scans for overview.
+#
+
+
+if [ -z "$COVTOKEN" ]; then
+	echo "ERROR: No COVTOKEN in environment"
+	exit 1
+fi
+
+if [ -z "`which cov-build`" ]; then
+	echo "ERROR: No Coverity (cov-build) in \$PATH. Download: https://scan.coverity.com/download?tab=cxx"
+	exit 1
+fi
+
+if [ -z "$EMAIL" ]; then
+	EMAIL="varnish-dev at varnish-cache.org"
+fi
+
+
+GITREF=`git rev-parse --short HEAD`
+GITBRANCH=`git rev-parse --abbrev-ref HEAD`
+
+# Do a dirty check.
+DIRT=`git status --porcelain 2>/dev/null | egrep '^(\ M|M)' | grep -v coverity-run`
+if [ -n "$DIRT" ]; then
+	printf "ERROR: Refusing to analyse a dirty tree.\n$DIRT\n"
+	exit 2
+fi
+
+test "`basename $PWD`" = "devscripts" && cd ..
+
+make distclean || true
+test -f configure || ./autogen.sh
+./configure
+
+cov-build --dir cov-int make
+
+# the web ui seems to require the file to be called myproject.tgz. Very cute.
+tar cvfz myproject.tgz cov-int
+
+curl --form token=$COVTOKEN \
+  --form "email=$EMAIL" \
+  --form "file=@myproject.tgz" \
+  --form version="$GITREF" \
+  --form description="description=${GITBRANCH}_branch" \
+  'https://scan.coverity.com/builds?project=varnish'
+
+rm myproject.tgz



More information about the varnish-commit mailing list